@***************************************************************
@  APPSTARTUP.ASM  fr Apps auf der Betty-TV-Fernbedienung     *
@  mit Philips LPC2220 und 2 externen Flash-ROMs               *
@***************************************************************

.section	.text
.arm

.extern		main
.global		AppStart
.global		AppIcon
.global		AppName
.global		AppDescription

Signatur:	.ascii "BETTYAPP"			@ Magic, anhand dessen die App gefunden wird
Flags:		.word	0						@ diverse Flags, z.Z. unbelegt
Alloc:		.word	0x82000000			@ ab welcher Speicheradresse gelinkt
Start:		.word	AppStart				@ wo der Code beginnt
Icon:			.word	AppIcon				@ ein Icon zur evtl. Anzeige
Name:			.word	AppName				@ Wie die App heit
Descr:		.word	AppDescription		@ ggf. eine Erluterung


.global		_startup
.func			_startup
_startup:
.endfunc


.global		_main							@ um ellenlange Libraryteile im Code zu vermeiden
.global		__main						@ dito

_main:
__main:
AppStart:
				LDR	R7, =main			@ R0..6 freihalten fr evtl. Parameter
				BX		R7

AppIcon:		.word	0						@ hier erstmal nix

AppName:		.ascii	"Sokoban"
				.byte	0

AppDescription:
				.ascii	"Das Spiel Sokoban"
				.byte	0
.end
